LibreOffice Base Unity integration, has incorrect icon in launcher

Bug #1063862 reported by Dan Jared on 2012-10-08
36
This bug affects 6 people
Affects Status Importance Assigned to Milestone
BAMF
Medium
Marco Trevisan (Treviño)
0.2
Medium
Marco Trevisan (Treviño)
0.3
Medium
Marco Trevisan (Treviño)
bamf (Ubuntu)
Undecided
Marco Trevisan (Treviño)
Precise
Medium
Timo Jyrinki
Quantal
Undecided
Marco Trevisan (Treviño)

Bug Description

[IMPACT]
Incorrect icon][

[TEST CASE]
Libreoffice base not show correct icon, show a libreoffice blank icon.

[REGRESSION POTENTIAL]
Little, the fix includes comprehensive automated testing for the issue.

Related branches

Dan Jared (danjaredg) wrote :
Changed in bamf:
importance: Undecided → Medium
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
milestone: none → 0.3.4
status: New → Triaged
Changed in bamf (Ubuntu):
status: New → Confirmed
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in bamf:
milestone: 0.3.4 → 0.4.0
Changed in bamf (Ubuntu):
status: Confirmed → In Progress
Changed in bamf:
status: Triaged → In Progress
Changed in bamf:
status: In Progress → Fix Committed
Dan Jared (danjaredg) wrote :

thanks Marco for this fixed

Changed in bamf (Ubuntu):
status: In Progress → Fix Committed
Omer Akram (om26er) on 2012-10-12
Changed in bamf (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
Omer Akram (om26er) on 2012-10-12
Changed in bamf (Ubuntu Precise):
importance: High → Medium
description: updated
Clint Byrum (clint-fewbar) wrote :

The diff is 29,000+ lines long, but bamf does not have a micro release exception. Can you include a comprehensive list of all the changes and a testing plan? Otherwise we need to extract only the documented bug fix here.

Clint Byrum (clint-fewbar) wrote :

(last comment was regarding the upload to quantal-proposed)

Hello Dan, or anyone else affected,

Accepted bamf into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bamf/0.3.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Dan Jared (danjaredg) wrote :

Hi Steve,

The libreoffice base works well, great job, but the dialog windows aren't attached to libreoffice-base icon... watch the image attached

tags: added: verification-failed
removed: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

Hi Dan. I just tested it, and it's true that dialog windows aren't matched correctly yet. However it is not a regression, and it seems that the matching works for the main window ie. this bug. I filed a new bug #1072642 about the dialog windows.

tags: added: verification-done
removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.3.4-0ubuntu1

---------------
bamf (0.3.4-0ubuntu1) quantal-proposed; urgency=low

  [ Timo Jyrinki ]
  * New upstream release.
    - Autoconf: Make libunity-webapps an optional dependency (on by default)
    - Libbamf: Some signal, type and annotation fixes
    - libbamf: gir-annotion fixes and make gi-scanner verbose
    - Autoconf: Exclude generated sources from tarball and fix "make
      distcheck".
    - BamfMatcher: add support for libreoffice Base, and libreoffice matching
      tests (LP: #1063862)

  [ Didier Roche ]
  * debian/bamfdaemon.postinst:
    - Fix bamf.index perl script generation to fix UOA g-c-c panel associated
      with empathy. (LP: #1045223)
 -- Didier Roche <email address hidden> Wed, 17 Oct 2012 07:49:01 +0200

Changed in bamf (Ubuntu Quantal):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.3.4-0ubuntu1

---------------
bamf (0.3.4-0ubuntu1) quantal-proposed; urgency=low

  [ Timo Jyrinki ]
  * New upstream release.
    - Autoconf: Make libunity-webapps an optional dependency (on by default)
    - Libbamf: Some signal, type and annotation fixes
    - libbamf: gir-annotion fixes and make gi-scanner verbose
    - Autoconf: Exclude generated sources from tarball and fix "make
      distcheck".
    - BamfMatcher: add support for libreoffice Base, and libreoffice matching
      tests (LP: #1063862)

  [ Didier Roche ]
  * debian/bamfdaemon.postinst:
    - Fix bamf.index perl script generation to fix UOA g-c-c panel associated
      with empathy. (LP: #1045223)
 -- Didier Roche <email address hidden> Wed, 17 Oct 2012 07:49:01 +0200

Changed in bamf (Ubuntu):
status: Fix Committed → Fix Released
Changed in bamf (Ubuntu Precise):
status: Triaged → In Progress
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in bamf (Ubuntu Precise):
milestone: none → ubuntu-12.04.2

Hello Dan, or anyone else affected,

Accepted bamf into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bamf/0.2.124.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in bamf (Ubuntu Precise):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

Works with precise-proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.2.124.2-0ubuntu1

---------------
bamf (0.2.124.2-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Includes all previous cherry-picks
    - Daemon, BamfApplication: Use the default icon if there is not
      one defined in the desktop file. (LP: #886778)
    - BamfMatcher: don't reopen windows when iterating on view's
      list, add tests. (LP: #1082298)
    - BamfMatcher: add support for libreoffice Base, and libreoffice
      matching tests (LP: #1063862)
 -- Timo Jyrinki <email address hidden> Wed, 28 Nov 2012 15:42:28 +0200

Changed in bamf (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in bamf:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers